Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Copyfile

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.Copyfile

Deprecated. The copyfile task is deprecated since Ant 1.2. Use copy instead.

public class Copyfile
extends Task

Copies a file.

Since:
  Ant 1.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`Copyfile()` Deprecated.

Method Summary
`void` | `execute()` Deprecated. Called by the project to let the task do its work.
`void` | `setDest(java.io.File dest)` Deprecated.
`void` | `setFiltering(java.lang.String filter)` Deprecated.
`void` | `setForceoverwrite(boolean force)` Deprecated.
`void` | `setSrc(java.io.File src)` Deprecated.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Copyfile

    public Copyfile()

  Deprecated.

Method Detail

### setSrc

    public void setSrc(java.io.File src)

  Deprecated.

### setForceoverwrite

    public void setForceoverwrite(boolean force)

  Deprecated.

### setDest

    public void setDest(java.io.File dest)

  Deprecated.

### setFiltering

    public void setFiltering(java.lang.String filter)

  Deprecated.

### execute

    public void execute()
                 throws BuildException

  Deprecated.
  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.